#include <bits/stdc++.h>
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;

const int MAX_N = 1e6;
const int INF = 1e9;

int a[MAX_N];

int main (){

    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);

    int n;
    std::cin>>n;
    for( int i=0 ; i<n ; i++ ) std::cin>>a[i];

    ll ans = 0;
    for( int i=0 ; i<n ; i++ ){
        ll sum = a[i];
        if( !(sum%2) ) ans++;
        for( int j = i+1 ; j<n ; j++ ){
            sum = 1ll * sum * a[j];
            if( !(sum%2) ) ans++;
        }
    }

    std::cout<<ans<<"\n";

    return 0;
}
